import { Auth } from '@genesislcap/foundation-comms';
import { FoundationRouterConfiguration } from '@genesislcap/foundation-ui';
type RouterSettings = {
    public?: boolean;
    autoAuth?: boolean;
};
/**
 * Base implementation of a routing used with the Login class
 *
 * @remarks
 *
 * Could be used when using the Login class as a standalone authentication method
 * with your app
 *
 * @internal
 */
export declare class MainRouterConfig extends FoundationRouterConfiguration<RouterSettings> {
    private auth;
    constructor(auth: Auth);
    configure(): void;
}
export {};
//# sourceMappingURL=config.d.ts.map