import type { ResourceItem } from '@genesislcap/foundation-comms';
import { CustomEventMap } from '@genesislcap/foundation-events';
import { StoreRoot, StoreRootEventDetailMap } from '@genesislcap/foundation-store';
export interface Store extends StoreRoot {
    readonly selectedMicroserviceName: string;
    readonly selectedResourceData: ResourceItem;
    emitSelectedMicroserviceName(selectedMicroserviceName: string): void;
    emitSelectedResourceData(selectedResourceData: ResourceItem): void;
}
export type StoreEventDetailMap = StoreRootEventDetailMap & {
    'change-selected-microservice-name': string;
    'change-selected-resource-data': ResourceItem;
};
declare global {
    interface HTMLElementEventMap extends CustomEventMap<StoreEventDetailMap> {
    }
}
export declare const Store: import("@microsoft/fast-foundation").InterfaceSymbol<import("@microsoft/fast-foundation").Key>;
//# sourceMappingURL=store.d.ts.map