import { __decorate } from "tslib";
import { customElement, GenesisElement } from '@genesislcap/web-core';
import { Store } from '../../store';
import { ResourcesDetails } from './resources-details/resources-details';
import { ResourcesGrid } from './resources-grid/resources-grid';
import { ResourcesStyles as styles } from './resources.styles';
import { ResourcesTemplate as template } from './resources.template';
ResourcesGrid;
ResourcesDetails;
let Resources = class Resources extends GenesisElement {
    connectedCallback() {
        super.connectedCallback();
        if (this.store.selectedResourceData) {
            this.store.emitSelectedResourceData(null);
        }
    }
};
__decorate([
    Store
], Resources.prototype, "store", void 0);
Resources = __decorate([
    customElement({
        name: 'resources-route',
        template,
        styles,
    })
], Resources);
export { Resources };
