import {
  test as base,
  TestFixture as BaseTestFixture,
  WorkerFixture as BaseWorkerFixture,
} from '@genesislcap/foundation-testing/e2e';
import { FoundationConsolePage } from './pages';

export type TestFixture = BaseTestFixture & {
  FoundationConsolePage: FoundationConsolePage;
};

export type WorkerFixture = BaseWorkerFixture & {};

export const test = base.extend<TestFixture, WorkerFixture>({});
